diff --git a/src/common/string.c b/src/common/string.c
index a45e9b88580..93dd9961815 100644
--- a/src/common/string.c
+++ b/src/common/string.c
@@ -47,7 +47,7 @@ pg_str_endswith(const char *str, const char *end)
  * strtoint --- just like strtol, but returns int not long
  */
 int
-strtoint(const char *restrict str, char **restrict endptr, int base)
+strtoint(const char *str, char **endptr, int base)
 {
 	long		val;
 
diff --git a/src/include/common/string.h b/src/include/common/string.h
index 23e2e01f0e7..5a07cb6ebcb 100644
--- a/src/include/common/string.h
+++ b/src/include/common/string.h
@@ -11,6 +11,6 @@
 #define COMMON_STRING_H
 
 extern bool pg_str_endswith(const char *str, const char *end);
-extern int strtoint(const char *restrict str, char **restrict endptr, int base);
+extern int strtoint(const char *str, char **endptr, int base);
 
 #endif							/* COMMON_STRING_H */
